"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class TwoManyInstructionError extends Error {
    instructionsCount;
    maxRegisterCount;
    constructor(maxRegisterCount, instructionsCount) {
        super(`Too many instructions provided, max instructions allowed ${instructionsCount}`);
        this.instructionsCount = instructionsCount;
        this.maxRegisterCount = maxRegisterCount;
    }
}
exports.default = TwoManyInstructionError;
//# sourceMappingURL=twoManyInstructionError.js.map