"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const executeJumpIfEqual = (cells, programCounter) => {
    const lhs = cells.loadValueFrom(cells.loadValueFrom(programCounter + 1));
    const rhs = cells.loadValueFrom(cells.loadValueFrom(programCounter + 2));
    return {
        pc: lhs === rhs ? cells.loadValueFrom(programCounter + 3) : programCounter + 4,
        cells: cells.copy(),
        argsLength: 3,
        isHalted: false
    };
};
exports.default = executeJumpIfEqual;
//# sourceMappingURL=executeJumpIfEqual.js.map