"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const executePut = (cells, programCounter) => {
    const value = cells.loadValueFrom(programCounter + 1);
    const targetCellId = cells.loadValueFrom(programCounter + 2);
    cells.putValueIn(targetCellId, value);
    return {
        pc: programCounter + 3,
        cells: cells.copy(),
        argsLength: 3,
        isHalted: false
    };
};
exports.default = executePut;
//# sourceMappingURL=putInstruction.js.map