"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class CellDoesNotExistsError extends Error {
    cellNumber;
    constructor(cellNumber) {
        super(`Cell of id ${cellNumber} does not exists`);
        this.cellNumber = cellNumber;
    }
}
exports.default = CellDoesNotExistsError;
//# sourceMappingURL=cellDoesNotExistsError.js.map