"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const executeAdd = (cells, programCounter) => {
    const lhs = cells.loadValueFrom(cells.loadValueFrom(programCounter + 1));
    const rhs = cells.loadValueFrom(cells.loadValueFrom(programCounter + 2));
    cells.putValueIn(cells.loadValueFrom(programCounter + 3), lhs + rhs);
    return {
        pc: programCounter + 4,
        cells: cells.copy(),
        argsLength: 3,
        isHalted: false
    };
};
exports.default = executeAdd;
//# sourceMappingURL=addInstruction.js.map