"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const executeJump = (cells, programCounter) => {
    const target = cells.loadValueFrom(programCounter + 1);
    cells.validateCellIsPresent(target);
    return {
        pc: target,
        cells: cells.copy(),
        argsLength: 2,
        isHalted: false
    };
};
exports.default = executeJump;
//# sourceMappingURL=executeJump.js.map