"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const executeRead = (cells, programCounter, inputReader) => {
    const targetCellId = cells.loadValueFrom(programCounter + 1);
    const value = inputReader.readNumber();
    cells.putValueIn(targetCellId, value);
    return {
        pc: programCounter + 2,
        cells: cells.copy(),
        argsLength: 2,
        isHalted: false
    };
};
exports.default = executeRead;
//# sourceMappingURL=executeRead.js.map